php-string [![Build Status](https://travis-ci.org/mvader/php-string.png?branch=master)](https://travis-ci.org/mvader/php-string)
==========

An object oriented wrapper for the string type in php.
**PSR-2** compliant and MIT licensed. 

Why?
--------
PHP string functions are a mess and extremely inconsistent. Was the function I look for named str_something or strsomething or...? Like I said, a mess. 
With php-string you can benefit from the php object-oriented capabilities.

This is just an attempt of making the php development a little more friendly to the developer. The vast majority of the methods are just wrappers for php string functions but there are some functionalities taken from Java as well as omitted functions (metaphone() pls).

Feel free to contribute.

Example
--------

```php
<?php

require_once 'String/String.php';

$str = new String('Hello world!');
$str->append(' How are you?');

// Will output true because we performed a case-insensitive search
var_dump($str->contains('how', true));
```
