<?php

class Test extends PHPUnit_Framework_TestCase
{
	public function testArrayAccess()
	{
		$str = new String('Hello world!');
		$this->assertEquals('l', $str[2]);
		$this->assertEquals(false, $str[600]);
		$str[2] = 'm';
		$this->assertEquals('m', $str[2]);
	}
	
	public function testAppend()
	{
		$str = new String('Hello world!');
		$str->append('Hello world!');
		$this->assertEquals('Hello world!Hello world!', $str->toString());
	}
	
	public function testSplit()
	{
		$str = new String('Hello world!');
		$this->assertEquals(2, count($str->split(' ')));
		$this->assertEquals(4, count($str->split('l')));
	}
	
	public function testSubstring()
	{
		$str = new String('Hello world!');
		$this->assertEquals('ello', $str->substring(1, 5));
		$this->assertEquals('d!', $str->substring(10));
		$this->assertEquals('ell', $str->substring(1, $length = 4));
	}
	
	public function testContains()
	{
		$str = new String('Hello world!');
		$this->assertEquals(true, $str->contains('Hello'));
		$this->assertEquals(true, $str->contains('hello', true));
		$this->assertEquals(false, $str->contains('Hallo'));
	}
	
	public function testEquals()
	{
		$str = new String('Hello world!');
		$str2 = new String('Hello world!');
		$str3 = new String('Hello world');
		$str4 = 'Hello world!';
		
		$this->assertEquals(true, $str->equals($str2));
		$this->assertEquals(false, $str->equals($str3));
		$this->assertEquals(true, $str->equals($str4));
	}
	
	/**
	 * The rest of the methods have no tests
	 * because they're just wrappers for php functions.
	 */
}